package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.CollapsedStringAdapter;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "",
   propOrder = {"transformationtype", "transformationname", "stage", "sinstancename", "pipeline", "partitiontype", "isrepartitionpoint", "sesstransformationgroup", "partition", "hashkey", "flatfile", "attribute"}
)
@XmlRootElement(
   name = "SESSTRANSFORMATIONINST"
)
public class SESSTRANSFORMATIONINST {
   @XmlAttribute(
      name = "SINSTANCENAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String sinstancename;
   @XmlAttribute(
      name = "TRANSFORMATIONNAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String transformationname;
   @XmlAttribute(
      name = "TRANSFORMATIONTYPE",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String transformationtype;
   @XmlAttribute(
      name = "PARTITIONTYPE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String partitiontype;
   @XmlAttribute(
      name = "ISREPARTITIONPOINT"
   )
   @XmlJavaTypeAdapter(CollapsedStringAdapter.class)
   protected String isrepartitionpoint;
   @XmlAttribute(
      name = "STAGE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String stage;
   @XmlAttribute(
      name = "PIPELINE"
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String pipeline;
   @XmlElement(
      name = "SESSTRANSFORMATIONGROUP"
   )
   protected List<SESSTRANSFORMATIONGROUP> sesstransformationgroup;
   @XmlElement(
      name = "PARTITION"
   )
   protected List<PARTITION> partition;
   @XmlElement(
      name = "HASHKEY"
   )
   protected List<HASHKEY> hashkey;
   @XmlElement(
      name = "FLATFILE"
   )
   protected List<FLATFILE> flatfile;
   @XmlElement(
      name = "ATTRIBUTE"
   )
   protected List<ATTRIBUTE> attribute;

   public String getSINSTANCENAME() {
      return this.sinstancename;
   }

   public void setSINSTANCENAME(String value) {
      this.sinstancename = value;
   }

   public String getTRANSFORMATIONNAME() {
      return this.transformationname;
   }

   public void setTRANSFORMATIONNAME(String value) {
      this.transformationname = value;
   }

   public String getTRANSFORMATIONTYPE() {
      return this.transformationtype;
   }

   public void setTRANSFORMATIONTYPE(String value) {
      this.transformationtype = value;
   }

   public String getPARTITIONTYPE() {
      return this.partitiontype;
   }

   public void setPARTITIONTYPE(String value) {
      this.partitiontype = value;
   }

   public String getISREPARTITIONPOINT() {
      return this.isrepartitionpoint;
   }

   public void setISREPARTITIONPOINT(String value) {
      this.isrepartitionpoint = value;
   }

   public String getSTAGE() {
      return this.stage;
   }

   public void setSTAGE(String value) {
      this.stage = value;
   }

   public String getPIPELINE() {
      return this.pipeline;
   }

   public void setPIPELINE(String value) {
      this.pipeline = value;
   }

   public List<SESSTRANSFORMATIONGROUP> getSESSTRANSFORMATIONGROUP() {
      if (this.sesstransformationgroup == null) {
         this.sesstransformationgroup = new ArrayList();
      }

      return this.sesstransformationgroup;
   }

   public List<PARTITION> getPARTITION() {
      if (this.partition == null) {
         this.partition = new ArrayList();
      }

      return this.partition;
   }

   public List<HASHKEY> getHASHKEY() {
      if (this.hashkey == null) {
         this.hashkey = new ArrayList();
      }

      return this.hashkey;
   }

   public List<FLATFILE> getFLATFILE() {
      if (this.flatfile == null) {
         this.flatfile = new ArrayList();
      }

      return this.flatfile;
   }

   public List<ATTRIBUTE> getATTRIBUTE() {
      if (this.attribute == null) {
         this.attribute = new ArrayList();
      }

      return this.attribute;
   }
}
